Bug 1413076 - Package uwsgi busyness ("cheaper_busyness") plugin
Summary: Package uwsgi busyness ("cheaper_busyness") plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: uwsgi
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 14:53 UTC by Marti Raudsepp
Modified: 2017-01-31 05:18 UTC (History)
3 users (show)

Fixed In Version: uwsgi-2.0.14-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 05:18:08 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github iuscommunity wishlist issues 117 0 None None None 2017-01-13 14:55:07 UTC

Description Marti Raudsepp 2017-01-13 14:53:47 UTC
Description of problem:
CentOS does not include the uWSGI cheaper_busyness plugin in any package.

The busyness plugin includes an advanced algorithm for spawning and stopping worker backend processes based on load. Other algorithms aren't flexible enough to support production workloads when application process startup is expensive. I'm currently limited to static process configuration, which is wasteful.

Documentation here: https://uwsgi-docs.readthedocs.io/en/latest/Cheaper.html#busyness-cheaper-algorithm


Version-Release number of selected component (if applicable):
uwsgi 2.0.14

Comment 1 Fedora Update System 2017-01-13 23:28:43 UTC
uwsgi-2.0.14-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-37685faf8d

Comment 2 Fedora Update System 2017-01-14 05:51:47 UTC
uwsgi-2.0.14-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-37685faf8d

Comment 3 Fedora Update System 2017-01-31 05:18:08 UTC
uwsgi-2.0.14-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.